org.eclipse.actf.model.dom.odf.base

## Interface ODFDocument

All Superinterfaces:
  Document, Node

    public interface ODFDocument
    extends Document

The extended interface of the `Document`.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`double` `getODFVersion()` Return ODF version
`ODFDocument` `getStyleDocument()` Return ODF document created by styles.xml
`String` `getURL()` Return URL of ODF document
`void` `setODFVersion(double version)` Set ODF version
`void` `setStyleDocument(ODFDocument styleDoc)` Associate styles.xml document to this class
`void` `setURL(String sUrl)` Set URL of ODF document

### Methods inherited from interface org.w3c.dom.Document

`adoptNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getInputEncoding, getStrictErrorChecking, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, normalizeDocument, renameNode, setDocumentURI, setStrictErrorChecking, setXmlStandalone, setXmlVersion`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getURL

    String getURL()

Return URL of ODF document

Returns:
  String

#### setURL

    void setURL(String sUrl)

Set URL of ODF document

Parameters:
  `sUrl` - URL of ODF document

#### setODFVersion

    void setODFVersion(double version)

Set ODF version

Parameters:
  `version` - ODF version

#### getODFVersion

    double getODFVersion()

Return ODF version

Returns:
  double

#### setStyleDocument

    void setStyleDocument(ODFDocument styleDoc)

Associate styles.xml document to this class

Parameters:
  `styleDoc` - ODF document created by styles.xml

#### getStyleDocument

    ODFDocument getStyleDocument()

Return ODF document created by styles.xml

Returns:
  ODFDocument